public class Let {

	private String nazivLeta;
	private int nosivost;
	private Putnik[] putnici;
	
	public Let(String nazivLeta, int nosivost, Putnik[] putnici) 
		throws VisakTereta 
	{
		this.nazivLeta = nazivLeta;
		this.nosivost = nosivost;
		this.putnici = putnici;
		
		int ukupnaTezina = 0;
		for (int i = 0; i < putnici.length; i++) {
			Putnik p = putnici[i];
			ukupnaTezina += p.getPredatiPrtljag().getKilaza();
			ukupnaTezina += p.getRucniPrtljag().getKilaza();
			if (ukupnaTezina > nosivost) {
				throw new VisakTereta(nazivLeta);
			}
		}
	}
	
	public int izgubljenPrtljag() {
		int ukupnaTezina = 0;
		
		for (int i = 0; i < putnici.length; i++) {
			Putnik p = putnici[i];
			PredatiPrtljag pp = p.getPredatiPrtljag();
			if (pp.izgubljen()) {
				ukupnaTezina += pp.getKilaza();
			}
		}
		
		return ukupnaTezina;
	}
	
	public String toString() {
		return nazivLeta + ", " + nosivost;
	}
}
