import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class SimulacijaFirme {
	public static void main(String[] args) {
		BufferedReader br = null;
		try {
			Firma firma = new Firma(10);
			br = new BufferedReader(new FileReader("FirmaAkcije.txt"));
			String linija;
			int brLinija = 0;
			
			while ((linija = br.readLine()) != null) {
				++brLinija;
				boolean ok = obradiAkciju(firma, linija);
				if (!ok) {
					System.out.println("Greska u liniji " + brLinija + ": " + linija);
				} 
			}
			
			firma.stampajSve();
		} catch (IOException e) {
			System.out.println("Greska u radu sa ulaznim fajlom: ");
			System.out.println(e.getMessage());
		} finally {
			if (br != null) {
				try {
					br.close();
				} catch (IOException e) {
					System.out.println("Greska prilikom zatvaranja fajla");
					System.out.println(e.getMessage());
				}
			}
		}
	}
	
	private static boolean obradiAkciju(Firma firma, String akcija) {
		String[] t = akcija.split(",");
		String tipAkcije = t[0].trim();
		
		if (tipAkcije.equals("zaposli")) {
			if (t.length != 4) {
				System.out.println("Neodgovarajuci opis akcije zaposli");
				return false;
			}
			
			try {
				String id = t[1].trim();
				String ime = t[2].trim();
				int plata = Integer.parseInt(t[3].trim());
				firma.zaposli(id, ime, plata);
			} catch (NumberFormatException nfe) {
				System.out.println("Plata nije integer");
				return false;
			} catch (RadnaOrganizacijaException roe) {
				System.out.println(roe.opisGreske());
				return false;
			}
						
			return true;
		} else if (tipAkcije.equals("otpusti")) {
			if (t.length != 2) {
				System.out.println("Neodgovarajuci opis akcije otpusti");
				return false;
			}
			
			String id = t[1].trim();
			try {
				firma.otpusti(id);
			} catch (RadnaOrganizacijaException roe) {
				System.out.println(roe.opisGreske());
				return false;
			}
			
			return true;
		} else {
			System.out.println("Nepostojeci tip akcije: " + akcija);
			return false;
		}
	}
}
