import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class SpisakPutnika {
	private Putnik[] putnici;
	
	public boolean ucitajSpisak(String putniciFajl) {
		BufferedReader br = null;	
		try {
			br = new BufferedReader(new FileReader(putniciFajl));
			int brojPutnika = Integer.parseInt(br.readLine());
			putnici = new Putnik[brojPutnika];
			for (int i = 0; i < brojPutnika; i++) {
				String linija = br.readLine();
				String[] tok = linija.split(",");
				
				if (tok.length == 3) {
					String ime = tok[0].trim();
					int tezinaRucni = Integer.parseInt(tok[1].trim());
					int tezinaPredati = Integer.parseInt(tok[2].trim());
					putnici[i] = new Putnik(ime, new RucniPrtljag(tezinaRucni), new PredatiPrtljag(tezinaPredati));
				} else {
					System.out.println("Fajl " + putniciFajl + " nije ispravno formatiran");
					return false;
				}
			}
			return true;
		} catch (NumberFormatException nfe) {
			System.out.println(nfe.getMessage());
			return false;
		} catch (IllegalArgumentException iae) {
			System.out.println(iae.getMessage());
			return false;
		} catch (IOException ioe) {
			System.out.println(ioe.getMessage());
			return false;
		} finally {
			if (br != null) {
				try { 
					br.close();
				} catch (IOException e) {
					System.out.println("Greska prilikom zatvaranja fajla... ");
				}
			}
		}
	}
	
	public Putnik[] getPutnici() {
		return putnici;
	}
}
